Arch Plan de coupe

From FreeCAD Documentation
Revision as of 18:10, 30 November 2013 by Renatorivo (talk | contribs) (Created page with "Plus tard, les objets pourront être {{KEY|16px|text-top=Arch_Add|link=Arch_Add/fr ajoutés}} ou {{KEY|[[Image:Arch_Remove.png|16px|text...")

Arch Plan de coupe

Emplacement du menu
Arch → Section Plane
Ateliers
Arch
Raccourci par défaut
S P
Introduit dans la version
-
Voir aussi
Aucun

Description

Cet outil place le document courant dans un plan, qui définit une section ou plan de la vue. Le plan peut être déplacé, et, réorienté, en le déplaçant, et, en le tournant, jusqu'à ce qu'il décrive le plan 2D que vous souhaitez voir sur le text-top=Arch_SectionPlane plan de coupe. L'objet text-top=Arch_SectionPlane plan de coupe ne calculera que les objets qui ont été sélectionnés lorsqu'il a été créé.

Plus tard, les objets pourront être text-top=Arch_Add ajoutés ou text-top=Arch_Remove supprimés d'un objet text-top=Arch_SectionPlane plan de coupe. À sa création, l'objet text-top=Arch_SectionPlane plan de coupe peut également text-top=Insérer une vue insèrer une vue d'elle même dans la page de dessin active, ou créez une nouvelle page, si aucune n'existe. Vous pouvez également ajouter des text-top=Arch_SectionPlane plans de coupe directement dans le document, à l'aide de l'outil text-top=Draft_Shape2DView Draft_Shape2DView avec un text-top=Arch_SectionPlane plan de coupe sélectionné.

How to use

  1. Select objects you want to be included in your section view
  2. Press the SectionPlane button or press S then P keys
  3. Move/rotate the Section Plane into correct position
  4. Press the Recompute button to update the view

Options

  • With a section plane object selected, use the Draft Shape2DView tool to create a shape object representing the section view in the document

  • Create additional views of a section plane by selecting it, then using the Draft Drawing tool

Properties

  • VueDisplay Size: The size of the section plane gizmo in the 3D view

Scripting

The Section Plane tool can by used in macros and from the python console by using the following function:

makeSectionPlane ([objectslist])

Creates a Section plane objects including the given objects.

Example:

import FreeCAD, Draft, Arch
trace = Part.Line(FreeCAD.Vector (0, 0, 0),FreeCAD.Vector (2, 2, 0))
wall = Arch.makeWall(trace,width=0.1,height=1,align="Center")
Arch.makeSectionPlane([wall])